git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
* [PATCH] git-submodule: abort if core.worktree could not be set correctly
@ 2019-01-18 21:55 Stefan Beller
  2019-01-18 23:18 ` Junio C Hamano
  0 siblings, 1 reply; 3+ messages in thread
From: Stefan Beller @ 2019-01-18 21:55 UTC (permalink / raw)
  To: git; +Cc: Stefan Beller

74d4731da1f (submodule--helper: replace connect-gitdir-workingtree by
ensure-core-worktree, 2018-08-13) forgot to exit the submodule operation
if the helper could not ensure that core.worktree is set correctly.

Signed-off-by: Stefan Beller <sbeller@google.com>
---
 git-submodule.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/git-submodule.sh b/git-submodule.sh
index 5e608f8bad3..02a0d728174 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -548,7 +548,7 @@ cmd_update()
 	do
 		die_if_unmatched "$quickabort" "$sha1"
 
-		git submodule--helper ensure-core-worktree "$sm_path"
+		git submodule--helper ensure-core-worktree "$sm_path" || exit 1
 
 		update_module=$(git submodule--helper update-module-mode $just_cloned "$sm_path" $update)
 
-- 
2.20.1.101.g27c53b536e7.dirty


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH] git-submodule: abort if core.worktree could not be set correctly
  2019-01-18 21:55 [PATCH] git-submodule: abort if core.worktree could not be set correctly Stefan Beller
@ 2019-01-18 23:18 ` Junio C Hamano
  2019-01-18 23:30   ` Stefan Beller
  0 siblings, 1 reply; 3+ messages in thread
From: Junio C Hamano @ 2019-01-18 23:18 UTC (permalink / raw)
  To: Stefan Beller; +Cc: git

Stefan Beller <sbeller@google.com> writes:

> 74d4731da1f (submodule--helper: replace connect-gitdir-workingtree by
> ensure-core-worktree, 2018-08-13) forgot to exit the submodule operation
> if the helper could not ensure that core.worktree is set correctly.
>
> Signed-off-by: Stefan Beller <sbeller@google.com>
> ---
>  git-submodule.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/git-submodule.sh b/git-submodule.sh
> index 5e608f8bad3..02a0d728174 100755
> --- a/git-submodule.sh
> +++ b/git-submodule.sh
> @@ -548,7 +548,7 @@ cmd_update()
>  	do
>  		die_if_unmatched "$quickabort" "$sha1"
>  
> -		git submodule--helper ensure-core-worktree "$sm_path"
> +		git submodule--helper ensure-core-worktree "$sm_path" || exit 1

Good to have more places check errors from underlying command.

Thanks.

Out of curiousity, was this found by code inspection, or was there a
real-world breakage episode?


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH] git-submodule: abort if core.worktree could not be set correctly
  2019-01-18 23:18 ` Junio C Hamano
@ 2019-01-18 23:30   ` Stefan Beller
  0 siblings, 0 replies; 3+ messages in thread
From: Stefan Beller @ 2019-01-18 23:30 UTC (permalink / raw)
  To: Junio C Hamano; +Cc: git

On Fri, Jan 18, 2019 at 3:18 PM Junio C Hamano <gitster@pobox.com> wrote:
>
> Stefan Beller <sbeller@google.com> writes:
>
> > 74d4731da1f (submodule--helper: replace connect-gitdir-workingtree by
> > ensure-core-worktree, 2018-08-13) forgot to exit the submodule operation
> > if the helper could not ensure that core.worktree is set correctly.
> >
> > Signed-off-by: Stefan Beller <sbeller@google.com>
> > ---
> >  git-submodule.sh | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/git-submodule.sh b/git-submodule.sh
> > index 5e608f8bad3..02a0d728174 100755
> > --- a/git-submodule.sh
> > +++ b/git-submodule.sh
> > @@ -548,7 +548,7 @@ cmd_update()
> >       do
> >               die_if_unmatched "$quickabort" "$sha1"
> >
> > -             git submodule--helper ensure-core-worktree "$sm_path"
> > +             git submodule--helper ensure-core-worktree "$sm_path" || exit 1
>
> Good to have more places check errors from underlying command.
>
> Thanks.
>
> Out of curiousity, was this found by code inspection, or was there a
> real-world breakage episode?

By code inspection to come up with an answer for
https://public-inbox.org/git/CAG0vfyQeA3Hm7AsYgYtP4v-Yg0=rKXW0YYfg_emAwEscZha4VA@mail.gmail.com/

That issue in itself is not fully solved (Duy is still looking into it),
but this fixes a minor inconsistency along the way.

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-01-18 23:31 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-18 21:55 [PATCH] git-submodule: abort if core.worktree could not be set correctly Stefan Beller
2019-01-18 23:18 ` Junio C Hamano
2019-01-18 23:30   ` Stefan Beller

Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).